> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/live-data/live-data-golf-api-design/change-log.md).

# Change Log

| Date           | Change                                                                                                                                                                                                                                                                                                                                          |
| -------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 11 August 2026 | Added `match_play.matches[].teams[].order_within_match` to [Schedule](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/schedule.md). This field identifies which team or competitor starts first within a match.                                                                                     |
| 31 July 2026   | Renamed `players[].player_id` to `players[].id` in the [Players](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/players.md) response.                                                                                                                                                              |
| 31 July 2026   | Added WebSocket close code `4407` (`Token expired`) to [General Information](/live-data/live-data-golf-api-design/ld-golf-api-documentation/general-information.md). Clients receive this code when a JWT has expired.                                                                                                                          |
| 31 July 2026   | Standardized the starting-hole field as `start_hole` in [Schedule](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/schedule.md) and [Stroke Play Leaderboard](/live-data/live-data-golf-api-design/ld-golf-api-documentation/state-leaderboard-scoreboard-hole-by-hole/stroke-play-leaderboard.md). |
| 31 July 2026   | Added collection and match-specific REST and WebSocket URLs to [Match Play Hole-by-hole](/live-data/live-data-golf-api-design/ld-golf-api-documentation/state-leaderboard-scoreboard-hole-by-hole/match-play-hole-by-hole.md). The `match_id` path parameter is optional.                                                                       |
| 31 July 2026   | Added collection and competitor-specific endpoints to [Stroke Play Hole-by-hole](/live-data/live-data-golf-api-design/ld-golf-api-documentation/state-leaderboard-scoreboard-hole-by-hole/stroke-play-hole-by-hole.md). Standardized score fields as `par`, `strokes`, and `score_to_par`.                                                      |
| 31 July 2026   | Updated [Players](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/players.md) to use `MALE` and `FEMALE` gender values. Added the required `pagination` response object.                                                                                                                            |
| 31 July 2026   | Renamed the `Client.Init` resume attribute in [Live Events](/live-data/live-data-golf-api-design/ld-golf-api-documentation/live-events/live-events.md) from `last_seen_event_id` to `last_recorded_message_id`.                                                                                                                                 |
| 31 July 2026   | Added `course_id` to each `stroke_play.groups` and `match_play.matches` item returned by [Schedule](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/schedule.md).                                                                                                                                   |
| 30 July 2026   | Added `stroke_play.groups[].teams[].order_within_group` to [Schedule](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/schedule.md). This field identifies which team or competitor starts first within a group.                                                                                     |
| 30 July 2026   | Replaced the separate stroke play and match play schedule endpoints with [Schedule](/live-data/live-data-golf-api-design/ld-golf-api-documentation/ld-golf-api-endpoints-static/schedule.md). The combined response returns `stroke_play.groups` and `match_play.matches`.                                                                      |
| 30 April 2026  | Initial version                                                                                                                                                                                                                                                                                                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/live-data/live-data-golf-api-design/change-log.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
